메인 콘텐츠로 건너뛰기
GET
/
v1
/
external
/
workspaces
/
{workspaceGuid}
/
wiki
/
pages
List Wiki Pages
curl --request GET \
  --url https://api.tiro.ooo/v1/external/workspaces/{workspaceGuid}/wiki/pages \
  --header 'Authorization: Bearer <token>'
{
  "content": [
    {
      "guid": "page_abc123",
      "wikiId": 1,
      "canonicalName": "Alice Kim",
      "pageType": "ENTITY",
      "extractionStatus": "EXTRACTED",
      "mentionCountVisible": 5,
      "aliasCount": 2,
      "linkCountIn": 3,
      "linkCountOut": 2,
      "createdAt": "2025-01-01T00:00:00Z",
      "updatedAt": "2025-01-15T10:30:00Z",
      "entitySubtype": "PERSON",
      "lastUpdatedVisible": "2025-01-15T10:30:00Z",
      "description": "Senior product manager at Acme",
      "descriptionStatus": "READY",
      "regenerationAvailable": true
    }
  ],
  "nextCursor": "opaque-cursor-string"
}

인증

Authorization
string
header
필수

API key in format {id}.{secret}

경로 매개변수

workspaceGuid
string
필수

Workspace GUID

쿼리 매개변수

cursor
string

Cursor for pagination (from nextCursor of previous response)

limit
integer
기본값:50

Page size (default 50, max 200)

필수 범위: 1 <= x <= 200
type
string

Filter by page type (ENTITY, MENTION, CUSTOM, etc.)

since
string<date-time>

ISO 8601 datetime — return only pages updated on or after this time

q
string

Optional search keyword. When provided, results are reordered by full-text relevance and cursor pagination is disabled (nextCursor is always null).

응답

Paginated list of wiki pages

content
object[]
필수

Array of wiki pages

nextCursor
string | null
필수

Cursor for the next page of results. Null when there are no more pages. When searching (q parameter provided), always null.

예시:

"opaque-cursor-string"